## debdelta 0.15

=== debian/changelog ===
debdelta (0.15) unstable; urgency=low

  * debdelta : 
     - faster on .debs with many many files ;
     - better behaviour when 'out of disk space'  errors occour 
  * debdeltas: 
     - added  '--alt DIR' option, to say where older versions of .debs are
     - added   --clean-alt and --clean-deltas options 
  * debdelta-upgrade: 
     - if a delta fails, download the .deb
     - sources are in /etc/debdelta/sources.conf or ~/.debdelta/sources.conf
  * corrected many bugs
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 28 Jun 2006 16:23:28 +0200

debdelta (0.14) unstable; urgency=low

  * debdeltas: can --clean unusable debdeltas
  * debdelta: corrected bug (cannot gunzip a symlink)

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 13 Jun 2006 12:17:31 +0200

debdelta (0.13) unstable; urgency=low

  * debdelta_upgrade: thanks to Michael Vogt, now uses APT caches at best
  * debdelta & debpatch: many improvements
      - divide data.tar in small chunks
      - always use bsdiff (xdelta is buggy)
      - gunzip .gz files in data.tar before delta, and gzip after
      (the delta of debhelper  5.0.35  -> 5.0.36 was 80% of original .deb
      before, now it is  to 10%)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 12 Jun 2006 20:03:16 +0200

debdelta (0.12) unstable; urgency=low

  * debdeltas: deltas failed due to not enough disk space will be retried
  * debdelta: better use of MD5; and a filename similarity matcher,
      when in computing difference of data.tar.gz (unfortunately, slower)
      also, solves a bug
  + debdelta_upgrade: properly quote URLs (before, it seemed as if 
     a lot of deltas were not present in the archives!); 
     better HTTP handling

 -- A Mennucc1 <mennucc1@debian.org>  Fri,  9 Jun 2006 18:45:17 +0200

debdelta (0.11) unstable; urgency=low

  * debdelta: (by faking 2nd part of tar headers), some improvement for  .deb
     with many small files
  * debdelta-upgrade : while the thread is patching, also download some
     .debs for which deltas are not available.
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed,  7 Jun 2006 16:07:36 +0200

debdelta (0.10) unstable; urgency=low

  * safer code
  * debdelta: produce shorter patch.sh, and uses bzip2

 -- A Mennucc1 <mennucc1@debian.org>  Thu,  1 Jun 2006 23:10:44 +0200

debdelta (0.9) unstable; urgency=low

  * debdeltas: 
    '-n N' option, to decide how many deltas to compute for each package ;
    '--avoid file' option, to avoid packages from a dist
     ('file' is a Python database, that can be created with contrib/parse_dist )
  * debdelta : corrected bug, now really skip conf files !
  * debdeltas : corrected bug, was not exiting from forks !  
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 31 May 2006 14:13:39 +0200

debdelta (0.8) unstable; urgency=low

  * 'debdelta' can use MD5 to exploit identical files that were renamed.
   This can express the difference between tetex-doc 3.0-17 and 3.0-18
   into  260kB , even though all the directory tree was moved around !

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 30 May 2006 18:24:17 +0200

debdelta (0.7) unstable; urgency=low

  * 'debdelta-upgrade' uses a thread to patch and download at the same time

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 30 May 2006 12:16:44 +0200

debdelta (0.6) unstable; urgency=low

  * new program 'debdelta-upgrade' to download and apply deltas 
    (from my mirror)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 29 May 2006 16:16:40 +0200

debdelta (0.5) unstable; urgency=low

  * new program 'debdeltas' to scan archive of debs
       and create an archive of deltas
  * 'debpatch' works on installed version of old deb,
      even in case of dpkg diversions

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 27 May 2006 12:00:13 +0200

debdelta (0.4) unstable; urgency=low

  * 'debpatch' can use a delta to create the new .deb, even if 
    the old debian package file is not available, provided that 
    it is installed in the host
  * code cleanup

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 23 May 2006 15:59:08 +0200

debdelta (0.3) experimental; urgency=low

  * use bsdiff when memory does not exceed 50Mb, and free disk space is enough
  * ' debpatch --info  patch' to just know info on a patch

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 22 May 2006 10:34:06 +0200

debdelta (0.2) experimental; urgency=low

  * Added getopt support.  Reorganized code.
  * Be careful of cwd when using os.path.abspath.
  * Add parameters to patch.sh , in particular, support for '#unpack-old' keyword
  * Graduated verbosity.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 20 May 2006 14:06:23 +0200

debdelta (0.1) experimental; urgency=low

  * first alpha
  * it works on two debs with gzip compression

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 19 May 2006 19:19:54 +0200
