## debdelta 0.19

=== debian/changelog ===
debdelta (0.19) unstable; urgency=low

  * Bug fix: append_info(delta,info,T) is wrong
    thanks a lot to David (Closes: #386252).
  
 -- A Mennucc1 <mennucc1@debian.org>  Thu,  7 Sep 2006 20:49:22 +0200

debdelta (0.18) UNRELEASED; urgency=low

  * debdelta-upgrade : retries on httplib errors

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 29 Jul 2006 15:18:24 +0200

debdelta (0.17) unstable; urgency=medium

  * debpatch : since 'echo -n -e' doesnt works with all shells ,
    patch script will test for it
  * debdelta : use bash to run patch script (until #379227 is fixed )

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 22 Jul 2006 22:15:51 +0200

debdelta (0.16) unstable; urgency=low
  
  * debdelta_upgrade
    - is faster (particularly on small debs - by avoiding calls to dpkg)
    - avoids downloading deltas if not enough disk space for applying them
    - identifies itself as User-Agent =  'Debian debdelta-upgrade'
  * md5 generation and verification may be disabled by option  --no-md5
  * now temporary directories are of the form  ${TMPDIR}/debdeltaXXXXXX
  * better checking for exceptions

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 12 Jul 2006 22:15:51 +0200
