## debdelta 0.22

=== debian/changelog ===
debdelta (0.22) unstable; urgency=medium

  * depends on xdelta3 , and correct path in python
  * document --delta-algo

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 26 Aug 2007 18:09:29 +0200

debdelta (0.21) unstable; urgency=medium

  * save header of minigzip output in patch script, since 
    it changes in newer versions of zlib

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 17 Jul 2007 10:09:29 +0200
