## debdelta 0.26

=== debian/changelog ===
debdelta (0.26) unstable; urgency=low

  * rewrite internal DebDeltaError class to avoid problems with
    python 2.5; correct typo.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 03 May 2008 19:21:31 +0200

debdelta (0.25) unstable; urgency=low

  * debdelta-upgrage: add an option --deb-policy to fine-tune download of
    .debs, thanks to Paul Wise (Closes: #465550).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 16 Mar 2008 12:14:42 +0100

debdelta (0.24) unstable; urgency=low

  * some packages (notably, linux kernels) modify files that they install
    , and then patching from installed debs always fails; to avoid, I added
    /etc/debdelta/debdelta.conf , ~/.debdelta/debdelta.conf to configure
    which original files to skip/ship in debian packages
  * add support for bzip2 compression on data.tar

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 09 Mar 2008 14:10:53 +0100

debdelta (0.23) unstable; urgency=low

  * If "python-apt" is missing, print a error message and exit;
    "python-apt" is recommended; thanks to David (Closes: #448688).
  * debpatch understands the keywords 'needs-xdelta' and 'needs-bsdiff'
  * debdeltas: 'Package' files may be used as arguments
  * debdeltas : can have multiple --alt  options
  * option --delta-algo to try different binary encoders;
    thanks to "Jiří Paleček" (Closes: #435159).
  * There is now a repository of deltas for stable security
    (again hosted at bononia, thanks a lot zack).

 -- A Mennucc1 <debdev@tonelli.sns.it>  Mon, 17 Dec 2007 15:26:04 +0100
