## debdelta 0.37

=== debian/changelog ===
debdelta (0.37) unstable; urgency=low

  * debdelta-upgrade
    * when < 50MB disk space, 'prelink -u' fails  : report it

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 01 Jan 2010 21:15:08 +0100

debdelta (0.36) unstable; urgency=low

  * switch license of man pages to 
     GNU Library General Public License (version 2)
    (same as the code), with permission of the author
  * patching : fix forensic report
  * debdelta-upgrade 
    - better progress reporting
    - if '-v' , report info as apt-get does (Closes: #557780).

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 08 Dec 2009 10:17:11 +0100

debdelta (0.35) unstable; urgency=low

  * do not try to unprelink kernel modules
    (big speedup for kernel updates)
  * some adjustments to patching progress reports
  * Bug fix: HTTPResponse instance has no attribute 'message',
    thanks to Ritesh Raj Sarraf (Closes: #555038)
  * correct buglet when 'localepurge' is detected and a patch fails

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 08 Nov 2009 21:20:51 +0100

debdelta (0.34) unstable; urgency=low

  * FAQ, README , man pages , control :
    the file created by 'debdelta' is always called a 'delta'
    (before it was also called a 'debdelta' or a 'patch')
  * add references to CUPT in debian/control and man 
    page (Closes: #551009).
  * debpatch.sh needs bash (Closes: #547744).
  * debpatch , debdelta-upgrade : report patching progress
  * debdelta-upgrade :
    - provide proxy support (see  man page) (Closes: #551748).
    - download debs also from ftp debian archives (Closes: #472766)
    - better computation of download speeds (Closes: #463671).
    - properly print when a delta is too big
       and when it is not present, or other download error
       (but this does not work with http proxies)

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 25 Oct 2009 14:43:54 +0100

debdelta (0.33) unstable; urgency=low

  * debdelta-upgrade: add checks and bails out if  localepurge
     has deleted files from the package
  * correct bug in parsing of /etc/debdelta/debdelta.conf :
      now sections match to the package name, not filename
  * debdelta: simplify deltas a bit
  * review the output of '-v'

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 18 Sep 2009 15:43:16 +0200

debdelta (0.32) unstable; urgency=low

  * debdeltas: add support for Packages.gz and  Packages.bz2 .
  * debdeltas: add option --test  (that does what '-d' was doing before)
  * debdelta,debdeltas:
    - add option --disable-feature ,
    - and add document README.features explaining backward compatibility,
    - and correct some bugs in features handling.
  * Change Depends: lzma, xdelta, xdelta3, bsdiff to Recommends
     ('debpatch' and 'debdelta-upgrade' will ask if they are needed).
  * Fix exit status and document it in man page.
  * Fix -v and -d , and document '-d' better in man pages.
  * debpatch, debdelta-upgrade : if '-d' and a delta fails, 
    create some files that may be used to address the bug.
  * Bug fix: "redownload package already in the cache", thanks to Sandro
    Tosi (Closes: #544784).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 04 Sep 2009 23:29:06 +0200

debdelta (0.31) unstable; urgency=low

  * Add GPG signatures (YAY!!)
  * Update man pages to explain how to use signatures.
  * Add a README.upgrade document in /usr/share/doc/debdelta
  * Copy some useful stuff from contrib/ in /usr/share/debdelta :
     dpkg-sig : a version of dpkg-sig, patched to support
                debdelta signatures
     debmirror-delta-security : an example script to create deltas
        to upgrade from stable to stable-security
     debpatch.sh : a simple script that explains how debpatch works
  * Rearrange debian/rules
  * Correct some bugs in lzma support, but more testing is needed
  * debdelta : correct bug when the old deb contains data.tar.XX
    the new one contains  data.tar.YY and XX != YY

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 21 Aug 2009 11:08:20 +0200
