## debdelta 0.39trl

=== debian/changelog ===
debdelta (0.39trl) unstable; urgency=high
  
  * The real thing release: upload the real 0.39, not a damaged version;
  * fixes: "debdelta _append_() wrong number of arguments", thanks to
    cybjit (Closes: #585079) for noting.

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 13 Jun 2010 16:58:15 +0200

debdelta (0.39) unstable; urgency=low

  * Reviewed messages printed (at different verbosity levels) .
  * Inside the delta, the internal script uses shell pipes,
     to reduce usage of temporary files .
  * Set Homepage: http://debdelta.debian.net
  * etc/sources.conf : use debdeltas.debian.net, thanks to Paul Wise
     for the suggestion, and thanks to the Bononia people (Closes: #517942).
  * xdelta3 (>= 0y) can use a FIFO for the input source (a.k.a
     the old version of the file). When using '--delta-algo xdelta3'
     the delta now, in its internal script, can process all old files 
     in one pipe, w/o using many chunks stored in temporary files. Such
     deltas are marked by a new internal feature 'needs-xdelta3-fifo'.
     This is disabled by '--disable-feature xdelta3-fifo'
  * debdelta/debdeltas : store incomplete delta files as delta_tmp_ , are
     renamed when they are completed (and tested, and signed, if required) 
  
 -- A Mennucc1 <mennucc1@debian.org>  Fri, 03 Apr 2010 13:40:59 +0200

debdelta (0.38) unstable; urgency=low

  * debdelta-upgrade : 
    - properly distinguish when prelink fails due to low disk space,
      or simply because the file did not need to be unprelinked, or else
    - small changes to progress reporting
    - -v -d , prints the URI of missing deltas
  * debdeltas : huge rewrite 
    - big speedup in scanning repositories, less disk access
    - remove option --clean-alt
    - add option --old   (note that, if no '--old' arg is  specified, 
       then no deltas will be generated; this is different from
       previous versions of debdeltas)
    - different meaning of --alt option
    - rewrote man page, with many examples
  * add new script /usr/share/debdelta/debmirror-deltas (a complex script
    that creates a repository of deltas, that can be used by
    debdelta-upgrade for upgrading packages in
    lenny,squeeze,sid,experimental )

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 04 Feb 2010 22:27:24 +0100
