=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.8.3.0
+Homepage: http://debdelta.debian.net
 
 Package: debdelta
 Architecture: any
 Depends: python, bzip2, binutils, ${shlibs:Depends}
 Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff
+Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Description: diff and patch utilities which work with Debian packages
  debdelta is a program suite designed to compute changes between
