## debdelta 0.39trlubuntu1

=== debian/changelog ===
debdelta (0.39trlubuntu1) natty; urgency=low

  * debian/rules:
    + Fix linking with -lbz2 and -lz.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 03 Dec 2010 15:05:37 +0100
