## debdelta 0.43

=== debian/changelog ===
debdelta (0.43) unstable; urgency=low

  * add code to support python-apt 0.8 API,
    thanks to Julian Andres Klode (Closes: #572059).
  * Add a fallback in case of upgrade errors,
    thanks to Nelson A. de Oliveira (Closes: #612423)
    and thanks to Ritesh Raj Sarraf    (Closes: #592053).
  * New package 'debdelta-doc' contains the documentation.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 28 May 2011 18:58:05 +0200

debdelta (0.42exp) experimental; urgency=low

  * Implemented streaming capabilities in patches;
    implemented new --format option for 'debdelta-upgrade', so that
    '--format=unzipped' will create debs with data.tar uncompressed
  * debdelta-upgrade bails out on a delta if locale files are missing,
    even if 'localepurge' is not used (see bug 619086)

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 04 May 2011 11:04:55 +0200

debdelta (0.41) unstable; urgency=low

  * Bump Standards-Version .
  * Review --help messages .
  * Small corrections to it.po .
  * Remove obsolete stuff from contrib/ .
  * Updated version of 'debmirror-delta-security' (for stable=squeeze).
  * New 'debmirror-marshal-deltas' script, that uses the new 
     'debmirror --debmarshal' option to manage the debs mirror and
     generate the deltas used by 'debdelta-upgrade'.
  * Add contrib/debmarshal_list_useless_debs (used by above).
  * Reviewed the README files.
  
 -- A Mennucc1 <mennucc1@debian.org>  Mon, 07 Mar 2011 19:26:54 +0100

debdelta (0.40exp) experimental; urgency=low

  * Add l10n support, it_IT translation (viva DUCCIT!)
  * Type fix in man debdelta-upgrade, thanks to A. Costa (Closes: #593174).
  * Typo fix in error message: "...applying of delta
     for ... failed", thanks to A. Costa (Closes: #593187).
  * Use 'gpg2 --batch' internally for signing or verifying,
     (to avoid printing on the tty as much as possible)
  * Implement usage of gnupg-agent in the example scripts
  * Recommends gnupg2, gnupg-agent

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 25 Sep 2010 15:19:14 +0200
