=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: devel
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.8.3.0
+Maintainer: A Mennucc1 <mennucc1@debian.org>
+Standards-Version: 3.9.1.0
 Homepage: http://debdelta.debian.net
+Vcs-git: http://debdelta.debian.net/debdelta-suite.git
 
 Package: debdelta
 Architecture: any
 Depends: python, bzip2, binutils, ${shlibs:Depends}
-Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff
+Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff, gnupg2, gnupg-agent
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
+Suggests: debdelta-doc
 Description: diff and patch utilities which work with Debian packages
  debdelta is a program suite designed to compute changes between
  Debian packages. These changes (deltas) are similar to the output of the
@@ -26,3 +27,14 @@
  .
  Similarly, when this package is installed, the 'cupt' package manager will
  use deltas to upgrade the host.
+
+Package: debdelta-doc
+Architecture: all
+Recommends: debdelta
+Description: diff and patch utilities which work with Debian packages
+ debdelta is a program suite designed to compute changes between
+ Debian packages. These changes (deltas) are similar to the output of the
+ "diff" program in that they may be used to store and transmit only the
+ changes between Debian packages.
+ .
+ This package contains the documentation.
