=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,15 @@
 
 package = debdelta
 
-D = debian/tmp
+D = debian/debdelta
 
 docdir = $(D)/usr/share/doc/$(package)
 mandir = $(D)/usr/share/man/man1/
+
+D2 = debian/debdelta-doc
+
+docdir2 = $(D2)/usr/share/doc/$(package)
+docdir2doc = $(D2)/usr/share/doc/$(package)-doc
 
 CC = gcc
 CFLAGS = -g -Wall
@@ -21,37 +26,47 @@
 
 
 minibzip2: minigzip.c
-	$(CC) -DBZIP $(CFLAGS) minigzip.c -o minibzip2 -lbz2
+	$(CC) -DBZIP $(CFLAGS) -lbz2  minigzip.c -o minibzip2 
 
 build: minibzip2
 	$(checkdir)
-	$(CC) $(CFLAGS) minigzip.c -o minigzip -lz
+	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="-lz" minigzip
 	touch build
 
 clean:
 	$(checkdir)
 	rm -f build *~ */*~ debian/files* debian/substvars
 	rm -f minigzip minibzip2
-	rm -rf $(D)
+	rm -rf $(D) $(D2)
 
 binary-indep:	checkroot build
 	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
+	rm -rf $(D2)
+	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
+	cp doc/debdelta_suite.pdf debian/copyright debian/changelog $(docdir2doc)
+	cd $(docdir2doc) && gzip -9 changelog
+	cp -r doc/html  $(docdir2doc)
+	ln -s ../debdelta-doc/debdelta_suite.pdf  $(docdir2)
+	ln -s ../debdelta-doc/html  $(docdir2)
+	# build package
+	dpkg-gencontrol -Pdebian/debdelta-doc -pdebdelta-doc
+	chown -R root:root $(D2)
+	dpkg-deb --build $(D2) ..
 
 binary-arch:	checkroot build
 	$(checkdir)
 	rm -rf $(D)
 	# dirs
-	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings
+	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings $(D)/usr/share/locale/it/LC_MESSAGES
 	# control
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	install -m 755 debian/postinst $(D)/DEBIAN/
 	# /usr/share
+	cp po/it.mo $(D)/usr/share/locale/it/LC_MESSAGES/debdelta.mo
 	install debpatch.sh $(D)/usr/share/debdelta
-	install contrib/debmirror-delta-security $(D)/usr/share/debdelta
-	install contrib/debmirror-deltas $(D)/usr/share/debdelta
+	install contrib/debmirror-delta-security $(D)/usr/share/debdelta/
+	install contrib/debmirror-marshal-deltas $(D)/usr/share/debdelta/
+	install contrib/debmarshal_list_useless_debs $(D)/usr/share/debdelta/
 	install contrib/dpkg-sig $(D)/usr/share/debdelta
 	cp contrib/debmirror*trash_option.patch  $(D)/usr/share/debdelta
 	ln -s ../../bin/debdelta  $(D)/usr/share/debdelta/debpatch-url
@@ -70,16 +85,15 @@
 	ln -s debdelta  $(D)/usr/bin/debdeltas
 	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
 	# /usr/share/doc
-	cp FAQ README README.upgrade README.features debian/copyright debian/changelog $(docdir)
-	cd $(docdir) && gzip -9 changelog README README.upgrade FAQ
+	cp FAQ README.features debian/copyright debian/changelog $(docdir)
+	cd $(docdir) && gzip -9 changelog FAQ
 	# man
 	cp *.1 $(mandir)
 	gzip -9 $(mandir)/*.1 
 	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
-	dpkg-gencontrol -isp
+	dpkg-gencontrol -Pdebian/debdelta -pdebdelta
 	chown -R root:root $(D)
-	#chmod -R u+w,go=rX $(D)
 	dpkg-deb --build $(D) ..
 
 define checkdir
