## debdelta 0.43ubuntu1

=== debian/changelog ===
debdelta (0.43ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules:
      + Fix linking with -lbz2 and -lz. (Closes: #633467)

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 10 Jul 2011 16:58:21 +0200

debdelta (0.41ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules:
      + Fix linking with -lbz2 and -lz.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 May 2011 00:08:00 +0530
