=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.9.1.0
 Homepage: http://debdelta.debian.net
 Vcs-git: http://debdelta.debian.net/debdelta-suite.git
