=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: devel
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.9.1.0
 Homepage: http://debdelta.debian.net
 Vcs-git: http://debdelta.debian.net/debdelta-suite.git
@@ -11,7 +10,7 @@
 Package: debdelta
 Architecture: any
 Depends: python, bzip2, binutils, ${shlibs:Depends}
-Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff, gnupg2, gnupg-agent
+Recommends: python-apt, xdelta3, xdelta, lzma, xz, xdelta, bsdiff, gnupg2, gnupg-agent
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Suggests: debdelta-doc
@@ -30,6 +29,7 @@
  use deltas to upgrade the host.
 
 Package: debdelta-doc
+Section: doc
 Architecture: all
 Recommends: debdelta
 Description: diff and patch utilities which work with Debian packages
