## debdelta 0.45

=== debian/changelog ===
debdelta (0.45) unstable; urgency=low

  * debdelta-upgrade/debpatch : new option --forensic,
     to report a log when a delta fails
  * debdelta/debdeltas : new option --forensicdir,
     to store hashes to check above reports
  * do not use hardcoded errno values,
    thanks to Pino Toscano (Closes: #640627).
  * typo in Recommends: xz -> xz-utils,
    thanks to Eugene V. Lyubimkin (Closes: #641189).

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 06 Dec 2011 17:27:16 +0100
