## debdelta 0.50

=== debian/changelog ===
debdelta (0.50) unstable; urgency=medium

  * ship 2012 gpg public key (to verify deltas with debdelta-upgrade)
  * correct typo in program message
  * correct italian translation of program messages
    according to d-italian rules

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 26 Aug 2012 21:10:55 +0200

debdelta (0.49) unstable; urgency=low

  * update italian translation of program messages
  * update and really ship French translation of program messages,
    thanks to Thomas Blein  (Closes: #678329).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 02 Aug 2012 11:00:34 +0200

debdelta (0.48) unstable; urgency=low

  * French translation of program messages, thanks to Thomas
    Blein (Closes: #678329).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 02 Aug 2012 07:24:35 +0200

debdelta (0.47) unstable; urgency=low

  * debdelta , debdeltas : autodetect (some) xz parameters for data.tar.xz
  * debdelta-upgrade: --forensic=http is the default

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 28 May 2012 17:34:56 +0200

debdelta (0.46) unstable; urgency=low

  * debdelta-upgrade: support multiarch

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 23 Mar 2012 20:56:56 +0100
