## debdelta 0.50+3

=== debian/changelog ===
debdelta (0.50+3) testing-proposed-updates; urgency=medium

  * Ship new GPG key
  * Bug fix: "owned and unowned files after purge (policy 6.8 + 10.7.3)",
     (Closes: #617481).
  * Portuguese translation, thanks to Américo Monteiro  (Closes: #760731).
  * Add a stanza in etc/sources.conf to find deltas for backports

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 19 Dec 2014 14:42:17 +0100
